Retrieve payment method configuration

Retrieve payment method configuration

Path Parameters
  • id
    Type: string
    max length:  
    5000
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/payment-configs/{id}
curl 'https://api.paypercut.io/v1/payment-configs/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "version": "string",
  "payment_methods": [
    {
      "active": true,
      "name": "string"
    }
  ],
  "setup": {
    "capture_mode": "MANUAL",
    "usage": "RECURRING",
    "authorization_type": "PRE_AUTH",
    "pre_authorization_type": "INCREMENTAL",
    "maximum_auth_amounts": [
      {
        "currencyCode": "string",
        "amount": 100
      }
    ],
    "threeds": {
      "triggerType": "STATIC"
    },
    "wallets": [
      "string"
    ],
    "statement_descriptor": "string"
  }
}